Libosmium: osmium::area::area_stats Struct Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
osmium::area::area_stats Struct Reference

`#include <stats.hpp>`

## Public Member Functions
area_stats & | operator+= (const area_stats &other) noexcept

## Public Attributes
uint64_t | area_really_complex_case = 0
| Most difficult case with rings touching in multiple points.
uint64_t | area_simple_case = 0
| Simple case, no touching rings.
uint64_t | area_touching_rings_case = 0
| More difficult case with touching rings.
uint64_t | duplicate_nodes = 0
| Consecutive identical nodes or consecutive nodes with same location.
uint64_t | duplicate_segments = 0
| Segments duplicated (going back and forth)
uint64_t | duplicate_ways = 0
| Ways that are in relation more than once.
uint64_t | from_relations = 0
| Area created from multipolygon relation.
uint64_t | from_ways = 0
| Area created from way.
uint64_t | inner_rings = 0
| Number of inner rings.
uint64_t | inner_with_same_tags = 0
| Number of inner ways with same tags as area.
uint64_t | intersections = 0
| Number of intersections between segments.
uint64_t | member_ways = 0
| Number of ways in the area.
uint64_t | no_tags_on_relation = 0
| No tags on relation (old-style multipolygon with tags on outer ways)
uint64_t | no_way_in_mp_relation = 0
| Multipolygon relation with no way members.
uint64_t | nodes = 0
| Number of nodes in the area.
uint64_t | open_rings = 0
| Number of open rings in the area.
uint64_t | outer_rings = 0
| Number of outer rings in the area.
uint64_t | overlapping_segments = 0
| Three or more segments with same end points.
uint64_t | short_ways = 0
| Number of ways with less than two nodes.
uint64_t | single_way_in_mp_relation = 0
| Multipolygon relation containing a single way.
uint64_t | touching_rings = 0
| Rings touching in a node.
uint64_t | ways_in_multiple_rings = 0
| Different segments of a way ended up in different rings.
uint64_t | wrong_role = 0
| Member has wrong role (not "outer", "inner", or empty)
uint64_t | invalid_locations = 0
| Invalid location found.

## Detailed Description

These statistics are generated by the area assembler code. They tell the user of the assembler a lot about the objects this area is made out of, what happened during the assembly, and what errors there were.

## Member Function Documentation

## ◆ operator+=()

area_stats & osmium::area::area_stats::operator+= | ( | const area_stats & | other | ) |
| inlinenoexcept

## Member Data Documentation

## ◆ area_really_complex_case

uint64_t osmium::area::area_stats::area_really_complex_case = 0

Most difficult case with rings touching in multiple points.

## ◆ area_simple_case

uint64_t osmium::area::area_stats::area_simple_case = 0

Simple case, no touching rings.

## ◆ area_touching_rings_case

uint64_t osmium::area::area_stats::area_touching_rings_case = 0

More difficult case with touching rings.

## ◆ duplicate_nodes

uint64_t osmium::area::area_stats::duplicate_nodes = 0

Consecutive identical nodes or consecutive nodes with same location.

## ◆ duplicate_segments

uint64_t osmium::area::area_stats::duplicate_segments = 0

Segments duplicated (going back and forth)

## ◆ duplicate_ways

uint64_t osmium::area::area_stats::duplicate_ways = 0

Ways that are in relation more than once.

## ◆ from_relations

uint64_t osmium::area::area_stats::from_relations = 0

Area created from multipolygon relation.

## ◆ from_ways

uint64_t osmium::area::area_stats::from_ways = 0

Area created from way.

## ◆ inner_rings

uint64_t osmium::area::area_stats::inner_rings = 0

Number of inner rings.

## ◆ inner_with_same_tags

uint64_t osmium::area::area_stats::inner_with_same_tags = 0

Number of inner ways with same tags as area.

## ◆ intersections

uint64_t osmium::area::area_stats::intersections = 0

Number of intersections between segments.

## ◆ invalid_locations

uint64_t osmium::area::area_stats::invalid_locations = 0

Invalid location found.

## ◆ member_ways

uint64_t osmium::area::area_stats::member_ways = 0

Number of ways in the area.

## ◆ no_tags_on_relation

uint64_t osmium::area::area_stats::no_tags_on_relation = 0

No tags on relation (old-style multipolygon with tags on outer ways)

## ◆ no_way_in_mp_relation

uint64_t osmium::area::area_stats::no_way_in_mp_relation = 0

Multipolygon relation with no way members.

## ◆ nodes

uint64_t osmium::area::area_stats::nodes = 0

Number of nodes in the area.

## ◆ open_rings

uint64_t osmium::area::area_stats::open_rings = 0

Number of open rings in the area.

## ◆ outer_rings

uint64_t osmium::area::area_stats::outer_rings = 0

Number of outer rings in the area.

## ◆ overlapping_segments

uint64_t osmium::area::area_stats::overlapping_segments = 0

Three or more segments with same end points.

## ◆ short_ways

uint64_t osmium::area::area_stats::short_ways = 0

Number of ways with less than two nodes.

## ◆ single_way_in_mp_relation

uint64_t osmium::area::area_stats::single_way_in_mp_relation = 0

Multipolygon relation containing a single way.

## ◆ touching_rings

uint64_t osmium::area::area_stats::touching_rings = 0

Rings touching in a node.

## ◆ ways_in_multiple_rings

uint64_t osmium::area::area_stats::ways_in_multiple_rings = 0

Different segments of a way ended up in different rings.

## ◆ wrong_role

uint64_t osmium::area::area_stats::wrong_role = 0

Member has wrong role (not "outer", "inner", or empty)

The documentation for this struct was generated from the following file:

- include/osmium/area/stats.hpp